Array.prototype.contains = function(obj) {
    var i = this.length;
    while (i--) {
        if (this[i] === obj) {
            return true;
        }
    }
    return false;
}

    var currDomain = document.referrer;
    var blackListed = new Array("ontarionewswatch.com", "meltwaternews.com", "freeadvice.ca", "meltwater.com")
    var re = /^https?:\/\/[\w.-]*?([\w-]+\.[a-z]+)\/.*$/;
    var strippedURL = currDomain.match(re);
    if (strippedURL != null) {
        if (blackListed.contains(strippedURL[1])) {
				window.location = "http://www.canada.com/";
	    }}